Subject: Re: bug#10292: following symlinks in byte-recompile-directory

From: Stefan Kangas <[email-masked]>
Date: Wed, 25 Nov 2020 02:14:15 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> Sam Aaron <[email-masked]> writes:
>
>> I noticed that the implementation of byte-recompile-directory has
>> specific code to not allow symlinks to be followed. As I use symlinks
>> to structure my ~/.emacs.d directory, this means this fn doesn't work
>> for me. Is there any specific motivation for not having the following
>> signature:
>>
>> (byte-recompile-directory-sl DIRECTORY &optional ARG FORCE FOLLOW-SYMLINKS)
>
> (I'm going through old bug reports that unfortunately have gotten no
> responses yet.)
>
> Not following symlinks introduced in 1993, but the commit message
> doesn't explain why:
>
> commit e9681c45f9ffd2819410b763338ba58b0b892b78
> Author: Richard M. Stallman <[email-masked]>
> Date:   Thu Dec 23 03:37:27 1993 +0000
>
>     (byte-compile-dest-file): If FILENAME is not recognized, append .elc to it.
>
>     (byte-recompile-directory): Don't treat symlinks as dirs.
>
>     (batch-byte-recompile-directory): Add autoload cookie.
>
> Adding a parameter to the function to follow symlinks seems pretty
> harmless, and seems somewhat useful, so I think it should be added.

Yes, I agree.

> Does anybody object to that?

Let's assume no, since there has been no replies in the last year.  :-)